//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
var script = {
  name: "VueTablePagination",
  // vue component name
  props: {
    data: {
      type: Object,

      default() {
        return {};
      }

    }
  },
  methods: {
    paginateTo(page) {
      if (this.$router.currentRoute.query.page != page) {
        this.paginateFunction(page);
      }
    },

    paginateFunction(page) {
      var queryparams = Object.assign({}, this.$router.currentRoute.query, {
        page: page
      });
      this.$router.replace({
        path: this.$router.currentRoute.path,
        query: queryparams
      }).catch(() => {});
      this.$emit("paginateTo", page);
    }

  }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__ = script;
/* template */

var __vue_render__ = function () {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c('div', {
    staticClass: "vue-table-pagination"
  }, [_c('ul', {
    staticClass: "pagination m-0"
  }, [_c('li', {
    staticClass: "page-item"
  }, [_c('button', {
    staticClass: "page-link",
    attrs: {
      "type": "button",
      "disabled": !_vm.data.prev_page_url
    },
    on: {
      "click": function ($event) {
        $event.preventDefault();
        return _vm.paginateTo(_vm.data.current_page - 1);
      }
    }
  }, [_vm._v("\n        «\n      ")])]), _vm._v(" "), _vm._l(_vm.data.last_page, function (index) {
    return _c('li', {
      key: index,
      staticClass: "page-item",
      class: index === _vm.data.current_page ? 'active' : ''
    }, [_vm.data.last_page > 1 ? _c('button', {
      staticClass: "page-link",
      attrs: {
        "type": "button"
      },
      on: {
        "click": function ($event) {
          $event.preventDefault();
          return _vm.paginateTo(index);
        }
      }
    }, [_vm._v("\n        " + _vm._s(index) + "\n      ")]) : _vm._e()]);
  }), _vm._v(" "), _c('li', {
    staticClass: "page-item"
  }, [_c('button', {
    staticClass: "page-link",
    attrs: {
      "type": "button",
      "disabled": !_vm.data.next_page_url
    },
    on: {
      "click": function ($event) {
        $event.preventDefault();
        return _vm.paginateTo(_vm.data.current_page + 1);
      }
    }
  }, [_vm._v("\n        »\n      ")])])], 2)]);
};

var __vue_staticRenderFns__ = [];
/* style */

const __vue_inject_styles__ = function (inject) {
  if (!inject) return;
  inject("data-v-69041a4f_0", {
    source: ".vue-table-pagination .pagination[data-v-69041a4f]{display:flex;padding-left:0;list-style:none;border-radius:4px}.vue-table-pagination .m-0[data-v-69041a4f]{margin:0!important}.vue-table-pagination .page-item.active .page-link[data-v-69041a4f]{z-index:3;color:#fff;background-color:#007bff;border-color:#007bff}.vue-table-pagination .page-link[data-v-69041a4f]{position:relative;display:block;padding:8px 12px;margin-left:-1px;line-height:1.25;color:#007bff;background-color:#fff;border:1px solid #dee2e6}.vue-table-pagination .page-item:last-child .page-link[data-v-69041a4f]{border-top-right-radius:4px;border-bottom-right-radius:4px}.vue-table-pagination .page-link[data-v-69041a4f]:hover{z-index:2;color:#0056b3;text-decoration:none;background-color:#e9ecef;border-color:#dee2e6}.vue-table-pagination button[data-v-69041a4f]:not(:disabled){cursor:pointer}.vue-table-pagination [type=button][data-v-69041a4f],.vue-table-pagination button[data-v-69041a4f]{-webkit-appearance:button}",
    map: undefined,
    media: undefined
  });
};
/* scoped */


const __vue_scope_id__ = "data-v-69041a4f";
/* module identifier */

const __vue_module_identifier__ = undefined;
/* functional template */

const __vue_is_functional_template__ = false;
/* style inject SSR */

/* style inject shadow dom */

const __vue_component__ = /*#__PURE__*/normalizeComponent({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, false, createInjector, undefined, undefined);

var component = __vue_component__;

// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),

var entry_esm = /*#__PURE__*/(() => {
  // Get component instance
  const installable = component; // Attach install function executed by Vue.use()

  installable.install = Vue => {
    Vue.component('VueTablePagination', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;

export { entry_esm as default };
